Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transformer
Interface BaseTransformer

All Superinterfaces:
  Disposable, Initialisable, MessageProcessor, NamedObject

All Known Subinterfaces:
  MessageTransformer, StreamingTransformer, Transformer

All Known Implementing Classes:
  AbstractCompressionTransformer, AbstractDiscoverableTransformer, AbstractEncryptionTransformer, AbstractEventTransformer, AbstractExpressionTransformer, AbstractJmsTransformer, AbstractJsonTransformer, AbstractMessageAwareTransformer, AbstractMessageTransformer, AbstractTransformer, AbstractXmlTransformer, AbstractXStreamTransformer, AddBookResponse, AnnotatedTransformerProxy, AtomEntryBuilderTransformer, AutoTransformer, Base64Decoder, Base64Encoder, BaseToOutputHandler, BeanBuilderTransformer, BeanToMap, ByteArrayToHexString, ByteArrayToMuleMessage, ByteArrayToObject, ByteArrayToSerializable, ChatStringToString, CreditProfileXmlToCreditProfile, DecryptionTransformer, DomDocumentToXml, EmailMessageToString, EncryptionTransformer, ErrorMessageToException, ErrorMessageToExceptionBean, ExceptionBeanToErrorMessage, ExceptionToString, ExpressionTransformer, FileToByteArray, FileToString, GetBeanProperty, GZipCompressTransformer, GZipUncompressTransformer, HexStringToByteArray, HttpClientMethodResponseToObject, HttpRequestBodyToParamMap, HttpRequestToBook, HttpRequestToByteArray, HttpRequestToInputStream, HttpRequestToNameString, HttpRequestToParameter, HttpRequestToParameterMap, HttpResponseToString, IPToSender, JAXBMarshallerTransformer, JAXBUnmarshallerTransformer, JMSMessageToObject, JsonToObject, JXPathExtractor, LoanQuoteRequestToCreditProfileArgs, MapLookup, MapToBean, MessagePropertiesTransformer, MimeMessageToRfc822ByteArray, MuleMessageToByteArray, MuleMessageToHttpResponse, NameStringToChatString, NoActionTransformer, ObjectArrayToString, ObjectToByteArray, ObjectToFeed, ObjectToHttpClientMethodRequest, ObjectToInputStream, ObjectToJMSMessage, ObjectToJson, ObjectToMimeMessage, ObjectToOutputHandler, ObjectToRemoteInvocationResultTransformer, ObjectToRemoteInvocationTransformer, ObjectToRssFeed, ObjectToString, ObjectToXml, ObjectToXmppPacket, OrderToEmailTransformer, RestRequestToCustomerRequest, Rfc822ByteArraytoMimeMessage, ScriptTransformer, SerializableToByteArray, ServletRequestToOutputHandler, SimpleMathTransformer, StdinToNameString, StringAppendTestTransformer, StringAppendTransformer, StringToEmailMessage, StringToNameString, StringToNumber, StringToObjectArray, TransformerChain, TransformerTemplate, ValidateResponse, XmlEntityDecoder, XmlEntityEncoder, XmlPrettyPrinter, XmlToDomDocument, XmlToObject, XmlToOutputHandler, XmlToXMLStreamReader, XmppPacketToObject, XPathExtractor, XQueryTransformer, XsltTransformer

    public interface BaseTransformer

extends MessageProcessor, Initialisable, Disposable, NamedObject

`Transformer` can be chained together to covert message payloads from one object type to another.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`ImmutableEndpoint` | `getEndpoint()` The endpoint that this transformer is attached to
`void` | `setEndpoint(ImmutableEndpoint endpoint)` Sets the endpoint associated with with this connector.

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Method Detail

### getEndpoint

    ImmutableEndpoint getEndpoint()

  The endpoint that this transformer is attached to

  Returns:
    the endpoint associated with the transformer

### setEndpoint

    void setEndpoint(ImmutableEndpoint endpoint)

  Sets the endpoint associated with with this connector. This should be idempotent, since endpoints do not guarantee it will only be called once.

  Parameters:
    `endpoint` - sets the endpoint associated with the transfromer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.